extends Node3D

@export var ammo = 12
@export var cooldown = 0.0
@export var cooldown_period = 0.25

func _process(delta):
	cooldown -= delta

func shoot():
	if cooldown < 0.0:
		cooldown = cooldown_period
		$AnimationPlayer.play("shoot")
		if ammo > 0:
			ammo -= 1
			$sfx_shoot.play()
			update_ammo()
			return true
		else:
			$sfx_empty.play()
			return false


func update_ammo():
	
	if ammo >= 1:
		$assembly/magazine/nail_1.show()
	else:
		$assembly/magazine/nail_1.hide()
	
	if ammo >= 2:
		$assembly/magazine/nail_2.show()
	else:
		$assembly/magazine/nail_2.hide()
	
	if ammo >= 3:
		$assembly/magazine/nail_3.show()
	else:
		$assembly/magazine/nail_3.hide()
	
	if ammo >= 4:
		$assembly/magazine/nail_4.show()
	else:
		$assembly/magazine/nail_4.hide()
	
	if ammo >= 5:
		$assembly/magazine/nail_5.show()
	else:
		$assembly/magazine/nail_5.hide()
	
	if ammo >= 6:
		$assembly/magazine/nail_6.show()
	else:
		$assembly/magazine/nail_6.hide()
	
	if ammo >= 7:
		$assembly/magazine/nail_7.show()
	else:
		$assembly/magazine/nail_7.hide()
	
	if ammo >= 8:
		$assembly/magazine/nail_8.show()
	else:
		$assembly/magazine/nail_8.hide()
	
	if ammo >= 9:
		$assembly/magazine/nail_9.show()
	else:
		$assembly/magazine/nail_9.hide()
	
	if ammo >= 10:
		$assembly/magazine/nail_10.show()
	else:
		$assembly/magazine/nail_10.hide()
	
	if ammo >= 11:
		$assembly/magazine/nail_11.show()
	else:
		$assembly/magazine/nail_11.hide()
	
	if ammo >= 12:
		$assembly/magazine/nail_12.show()
	else:
		$assembly/magazine/nail_12.hide()
	
	if ammo >= 13:
		$assembly/magazine/nail_13.show()
	else:
		$assembly/magazine/nail_13.hide()
	
	if ammo >= 14:
		$assembly/magazine/nail_14.show()
	else:
		$assembly/magazine/nail_14.hide()
	
	if ammo >= 15:
		$assembly/magazine/nail_15.show()
	else:
		$assembly/magazine/nail_15.hide()
